﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;

namespace WebApplication1
{
    public class Global : System.Web.HttpApplication
    {

        protected void Application_Start(object sender, EventArgs e)
        {
            Application["aplicacao"] = 0;
            Application["utilizadores"] = 0;
        }

        protected void Session_Start(object sender, EventArgs e)
        {
            Application.Lock();
            Application["utilizadores"] = (int)Application["utilizadores"] + 1;
            Application.UnLock(); 
        }

        protected void Application_BeginRequest(object sender, EventArgs e)
        {
            Application.Lock();
            Application["aplicacao"] = (int)Application["aplicacao"] + 1;
            Application.UnLock(); 
        }

        protected void Session_End(object sender, EventArgs e)
        {
            Application.Lock();
            Application["utilizadores"] = (int)Application["utilizadores"] - 1;
            Application.UnLock(); 
        }

        protected void Application_End(object sender, EventArgs e)
        {
            Application["aplicacao"] = 0;
            Application["utilizadores"] = 0;
        }
    }
}